Subject: bug#54289: 29.0.50; Emacs ignores xmodmap Super_L assignment

From: Stephen Berman <[email-masked]>
Date: Tue, 08 Mar 2022 15:02:45 +0100

On Tue, 08 Mar 2022 14:52:09 +0100 Andreas Schwab <[email-masked]> wrote:

> On Mär 08 2022, Stephen Berman wrote:
>
>> Why does this work but having the mappings in .Xmodmap doesn't?
>
> As you have written yourself the mappings were never applied:
>
>> xmodmap:  4 errors encountered, aborting.

That's what it looks like.  But then why do the mappings of Caps_Lock
and Menu work (and Super_L did until the commit in question)?  I've been
using that .Xmodmap for years and never had a problem with the mappings
in Emacs till that commit (but only with the Super_L in Firefox).  If
the mappings haven't been applied, why do the keys work as if they did?
I haven't set these keys in any other way that I'm aware of.

Steve Berman